From 7300bd834b22a0a14b3daa6610bb97d57a64577a Mon Sep 17 00:00:00 2001
From: Nick Steel <nick@nsteel.co.uk>
Date: Sat, 25 Jun 2022 23:12:16 +0100
Subject: [PATCH 09/21] Remove pyspotify: dictinct offline check

---
 mopidy_spotify/distinct.py | 2 ++
 tests/test_distinct.py     | 8 ++++++++
 2 files changed, 10 insertions(+)

diff --git a/mopidy_spotify/distinct.py b/mopidy_spotify/distinct.py
index abecff0c..d1224ed7 100644
--- a/mopidy_spotify/distinct.py
+++ b/mopidy_spotify/distinct.py
@@ -10,6 +10,8 @@ def get_distinct(config, playlists, web_client, field, query=None):
     # ourselves to data extracted from the user's playlists when no search
     # query is included.
     # TODO: Perhaps should use tracks from My Music instead?
+    if web_client is None or not web_client.logged_in:
+        return set()
 
     if field == "artist":
         result = _get_distinct_artists(config, playlists, web_client, query)
diff --git a/tests/test_distinct.py b/tests/test_distinct.py
index 822b11e6..4a3eb20d 100644
--- a/tests/test_distinct.py
+++ b/tests/test_distinct.py
@@ -31,6 +31,14 @@ def search_mock(mopidy_album_mock, mopidy_artist_mock):
     patcher.stop()
 
 
+def test_get_distinct_when_offine(web_client_mock, provider):
+    web_client_mock.logged_in = False
+
+    results = provider.get_distinct("artist")
+
+    assert results == set()
+
+
 @pytest.mark.parametrize(
     "field", ["composer", "performer", "genre", "unknown-field-type"]
 )

